Package relaxngcc.automaton

# Class Alphabet.LeaveElement

java.lang.Object
relaxngcc.automaton.Alphabet
relaxngcc.automaton.Alphabet.Markup
relaxngcc.automaton.Alphabet.LeaveElement

Enclosing class:
  `Alphabet`

public static class Alphabet.LeaveElement extends Alphabet.Markup
Alphabet of the type "leave element."

## Nested Class Summary

## Nested classes/interfaces inherited from class relaxngcc.automaton.Alphabet

`Alphabet.DataText, Alphabet.EnterAttribute, Alphabet.EnterElement, Alphabet.ForAction, Alphabet.Fork, Alphabet.LeaveAttribute, Alphabet.LeaveElement, Alphabet.Markup, Alphabet.Ref, Alphabet.Text, Alphabet.ValueText`

## Field Summary

### Fields inherited from class relaxngcc.automaton.Alphabet

`_locator, DATA_TEXT, ENTER_ATTRIBUTE, ENTER_ELEMENT, FOR_ACTION, FORK, LEAVE_ATTRIBUTE, LEAVE_ELEMENT, REF_BLOCK, VALUE_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`LeaveElement(NameClass key, Locator loc)`

## Method Summary

Modifier and Type
Method
Description
`Alphabet.LeaveElement`
`asLeaveElement()`
`String`
`toString()`

### Methods inherited from class relaxngcc.automaton.Alphabet.Markup

`asMarkup, equals, getNameClass, hashCode`

### Methods inherited from class relaxngcc.automaton.Alphabet

`asDataText, asEnterAttribute, asEnterElement, asForAction, asFork, asLeaveAttribute, asRef, asText, asValueText, getType, isDataText, isEnterAttribute, isEnterElement, isForAction, isFork, isLeaveAttribute, isLeaveElement, isMarkup, isRef, isText, isValueText, printLocator`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LeaveElement

public LeaveElement(NameClass key, Locator loc)

## Method Details

### asLeaveElement

public Alphabet.LeaveElement asLeaveElement()

Overrides:
  `asLeaveElement` in class `Alphabet`

### toString

public String toString()

Overrides:
  `toString` in class `Object`